JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioCDBurner::BurnProgressListener Class Referenceabstract
juce_audio_utils » audio_cd

Receives progress callbacks during a cd-burn operation. More...

`#include <juce_AudioCDBurner.h>`

## Public Member Functions
| BurnProgressListener () noexcept
virtual | ~BurnProgressListener ()
virtual bool | audioCDBurnProgress (float proportionComplete)=0
| Called at intervals to report on the progress of the AudioCDBurner.

## Detailed Description

Receives progress callbacks during a cd-burn operation.

See also
  AudioCDBurner::burn()

## Constructor & Destructor Documentation

## ◆ BurnProgressListener()

AudioCDBurner::BurnProgressListener::BurnProgressListener | ( |  | ) |
| noexcept

## ◆ ~BurnProgressListener()

virtual AudioCDBurner::BurnProgressListener::~BurnProgressListener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ audioCDBurnProgress()

virtual bool AudioCDBurner::BurnProgressListener::audioCDBurnProgress | ( | float | proportionComplete | ) |
| pure virtual

Called at intervals to report on the progress of the AudioCDBurner.

To cancel the burn, return true from this method.

The documentation for this class was generated from the following file:

- juce_AudioCDBurner.h